Loading...
Searching...
No Matches
AVOpenCLDeviceContext Struct Reference

OpenCL device details. More...

`#include <libavutil/hwcontext_opencl.h>`

## Data Fields

cl_device_id | device_id
| The primary device ID of the device.
cl_context | context
| The OpenCL context which will contain all operations and frames on this device.
cl_command_queue | command_queue
| The default command queue for this device, which will be used by all frames contexts which do not have their own command queue.

## Detailed Description

OpenCL device details.

Allocated as AVHWDeviceContext.hwctx

Definition at line 63 of file hwcontext_opencl.h.

## Field Documentation

## device_id

cl_device_id AVOpenCLDeviceContext::device_id

The primary device ID of the device.

If multiple OpenCL devices are associated with the context then this is the one which will be used for all operations internal to FFmpeg.

Definition at line 69 of file hwcontext_opencl.h.

## context

cl_context AVOpenCLDeviceContext::context

The OpenCL context which will contain all operations and frames on this device.

Definition at line 74 of file hwcontext_opencl.h.

## command_queue

cl_command_queue AVOpenCLDeviceContext::command_queue

The default command queue for this device, which will be used by all frames contexts which do not have their own command queue.

If not intialised by the user, a default queue will be created on the primary device.

Definition at line 81 of file hwcontext_opencl.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_opencl.h